Rock
MeridianRainydayfuckparade
UK 2006 (Midmarch Records MMR013)Компакт-диск. CD; EP; Стерео
Songs To Turn The TideMarathon
US 2003 (Red Leader Records RLR-08)Компакт-диск. CD; EP
Sweetheart Of The RodeoThe Byrds
Europe 2007 (Columbia 88697144612)Компакт-диск. CD; Альбом; Переиздание; Ремастер
Perverted MemoriesDrift Of Genes
Ukraine 2014 (Eclectic Productions EP036)Компакт-диск. CD; Альбом
Fuck It Up Fuck It Up Fuck It Up EPKamikaze Noise
US 2007 (SPHC SPHC 1-69666)Винил. Пластинка; 7"; 33 ⅓ RPM; EP
Feed Your Head : Live '67 - '69Jefferson Airplane
UK (Prism Leisure PLATCD 201)Компакт-диск. CD; Сборник; Переиздание
Highway 61 RevisitedBob Dylan
Europe 1997 (Columbia 460953 2)Компакт-диск. CD; Альбом; Переиздание
Electronic, Funk / Soul, Rock
Midnite VulturesBeck
Europe 1999 (Geffen Records 4905272)Компакт-диск. CD; HDCD; Альбом
Folk
Car Wheels On A Gravel RoadLucinda Williams
Europe 1998 (Mercury 558 338-2)Компакт-диск. CD; HDCD; Альбом
In Love With The EndBorn From Pain
Germany 2005 (Metal Blade Records 3984-14530-2)All Media; Компакт-диск. CD; DVD; Альбом; DVD-Video; PAL
The Ugly OrganCursive
US 2025 (Run For Cover Records (2) RFC307)Винил. Пластинка; LP; Альбом; Лимитированное издание
Everybody Is Going To HeavenCitiZen
US 2015 (Run For Cover Records (2) RFC131)Винил. Пластинка; LP; Альбом; Repress
DirectionsKnumears
US 2026 (Run For Cover Records (2) RFC314)Винил. Пластинка; 12"; 45 RPM; Альбом
Run Like A Girl
US 2026 (Summer Shade SUM004)Винил. Пластинка; 10"; 45 RPM; EP
ColourmeinkindnessBasement
US 2024 (Run For Cover Records (2) RFC:061)Винил. Пластинка; LP; Альбом; Лимитированное издание
Holy GhostModern Baseball
US 2021 (Run For Cover Records (2) RFC:152)Винил. Пластинка; LP; Альбом; Лимитированное издание
Jazz, Rock
The Organ GrinderFree Nelson Mandoomjazz
UK 2016 (RareNoise Records RNR068LP)Винил. Пластинка; LP; Альбом
Minor ThreatMinor Threat
US 2024 (Dischord Records Dischord 3)Винил. Пластинка; 7"; 45 RPM; EP
Subversive ParadigmOfficer Down
Canada 1998 (Goodfellow Records GFR007)Компакт-диск. CD; Альбом
The Grandiose NowhereLacrimas Profundere
USA & Europe 2010 (Napalm Records NPR 332)Компакт-диск. CD; Альбом
Electronic
Autobahn 66Primal Scream
UK 2002 (Columbia 673312 2)Компакт-диск. CD; Сингл; Enhanced
2004CD, Album, RE
Skynyrd's Innyrds / Greatest HitsLynyrd Skynyrd
Europe 1989 (MCA Records MCD 06046)Компакт-диск. CD; Сборник
Funk / Soul, Jazz, Pop
The Soul CagesSting
UK & Europe 1991 (A&M Records 396 405-2)Компакт-диск. CD; Альбом; Стерео
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.